Downloads: 6.60ME-1.8 (OFW Version)

6.60ME-1.8 (OFW Version)

Uploaded by El Guapo - 04-09-2012
Author Author The Z( & NeurOn
File Size File Size 901.4 KB
Downloads Downloads 4,435
+ Download
This version will install 6.60ME-1.8 onto your 1000(Phat) and "Fully" hackable 2000 straight from 6.60 OFW. Just place the "me installer" folder into your "GAME" folder on your memory stick and run it from your PSP. Follow any on screen instructions and it will re-boot into 6.60ME-1.8. If you have a TA-088v3 slim, 3000 or PSP Go!, DO NOT USE THIS!!!, instead use the LME version.

EDIT: If you have a PSP Street (E1000), use this instead:




04-12-2012 at 09:32 PM
is it working with the e1004 ? it says 1000 it means 1000 series ? please help. and can i run iso with this ?
04-16-2012 at 10:12 PM
im a newbie, just wondering beside from putting in the two programm is there anything else i need to do?? as the games fail to start... help please?
04-27-2012 at 05:30 AM
im new when i do this it says corrupted data help me please my psp is a psp 2000 slim lite piano black help!.
04-28-2012 at 12:45 PM
thank you ....
05-08-2012 at 05:12 AM
thank pals
05-09-2012 at 07:27 PM
This worked great. So easy. No extra files or steps. Those of you with questions, I think you just need to be sure you have the right PSP for this. I've got a launch 1000 "fat" unit. All it took was dragging the file into the PSP/GAME folder and running the update from the XMB.

Thanks for the upload, El Guapo... and thanks of course to the authors of the CFW.
06-07-2012 at 08:23 AM
i update my PSP1000 to 6.60B9 Pro then i Change it to 6.60ME-1.08(OFW)
Its working, but i having a problem about my games. my games is prompted to start but still loading, loading, loading, loading...
06-07-2012 at 08:26 AM
i update my PSP1000 to 6.60B9 Pro then i Change it to 6.60ME-1.8(OFW)
Its working, but i having a problem about my games. my games is prompted to start but still loading, loading, loading, loading...
06-08-2012 at 11:33 AM
hi! when i check my psp system. i see a PSP 6.60 ME-1.2
06-10-2012 at 12:17 PM
Followed the instructions put everything where it should be, but the system keeps saying I need 6.60. I have it in the psp/Upload folder, still nothing.
06-15-2012 at 03:11 PM
you have to install 6.60 OFW first then use this.
gonna try this tonight when i get home. i've been gone a while and still have version 3.XX on my original psp.
06-16-2012 at 02:01 PM
well, that was easy and fast. can play my UMD and my games i had on the MS. Thanks a ton
07-27-2012 at 04:45 PM
guys, this 6.60 me 1.8 ofw is not compatible in psp go?
07-30-2012 at 07:19 AM
Would you guys recommend this or 6.60 Pro B10?
07-30-2012 at 10:10 PM
Help, I followed the instructions in the readme file and now my psp won't boot. Is it bricked? If so, how can I unbrick?
08-04-2012 at 02:55 AM
download not working
08-09-2012 at 11:33 PM
I installed 1.8 now cant play any game, says game cannot start... psp 1000 fat, help please
09-04-2012 at 07:09 AM
Thanks, will check this out on my psp 2000
09-20-2012 at 08:17 AM
How are we able to uninstall the program seeing as it is permanent on my PSP (1000)
09-24-2012 at 12:44 AM
East as ABC!
09-24-2012 at 12:44 AM
Easy as ABC!
10-07-2012 at 06:51 PM
I have a hacked PSP 1004 with v3.52 firmware.
I downloaded and trie the "me installer" but its not working :
I have downloaded the latest official 6.60 firmware its on the GAMES/UPDATE folder. When I open it on the PSP. I get the message 'Cannot open this game'.
I downlaoded the "me installer", I copied it on the GAMES folder, but when I open it I get the message 'this programm requires v6.60'
12-18-2012 at 11:16 AM
can't download...
12-21-2012 at 08:20 PM
hi guys I'm running 3.90 m33-3 and about to try and install 6.60me-1.8 ofw. is it ok to do that ?
12-27-2012 at 02:39 PM
Worked brilliantly on my psp 2000!!!!